import 'package:custom_route_transition_darub/custom_route_transition_darub.dart';
import 'package:flutter/material.dart';

void main() {
  runApp(MyApp());
}

class MyApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Material App',
      debugShowCheckedModeBanner: false,
      initialRoute: OnePage.id,
      routes: {
        OnePage.id: (BuildContext context) => OnePage(),
        TwoPage.id: (BuildContext context) => TwoPage(),
      },
    );
  }
}

class OnePage extends StatelessWidget {
  static const String id = 'One';
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: Colors.blue,
      appBar: AppBar(
        title: Text('one page'),
        backgroundColor: Colors.transparent,
      ),
      body: Center(
          child: MaterialButton(
        child: Text('Got to two page'),
        color: Colors.white,
        onPressed: () {
          RouteTransitions(
              context: context,
              child: TwoPage(),
              animation: AnimationType.fadeIn,
              duration: Duration(seconds: 1),
              replacement: false);
        },
      )),
    );
  }
}

class TwoPage extends StatelessWidget {
  static const String id = 'Two';
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: Colors.green,
      appBar: AppBar(
        title: Text('two page'),
        backgroundColor: Colors.transparent,
      ),
      body: Center(
        child: Text('two page'),
      ),
    );
  }
}
